> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://notion.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://notion.ferndocs.com/_mcp/server.

# Delete a block

DELETE https://api.notion.com/v1/blocks/{block_id}

Sets a [Block object](/reference/block), including page blocks, to `archived: true` using the ID specified. Note: in the Notion UI application, this moves the block to the "Trash" where it can still be accessed and restored.

To restore the block with the API, use the [Update a block](/reference/update-a-block) or [Update page](/reference/patch-page) respectively.

This endpoint requires an integration to have update content capabilities. Attempting to call this API without update content capabilities will return an HTTP response with a 403 status code. For more information on integration capabilities, see the [capabilities guide](/reference/capabilities).

### Errors

Returns a 404 HTTP response if the block doesn't exist, or if the integration doesn't have access to the block.

Returns a 400 or 429 HTTP response if the request exceeds the [request limits](/reference/request-limits).

*Note: Each Public API endpoint can return several possible error codes. See the [Error codes section](https://developers.notion.com/reference/status-codes#error-codes) of the Status codes documentation for more information.*

Reference: https://notion.ferndocs.com/reference/delete-a-block

## Request

### Path parameters

- `block_id` (string, required) — Identifier for a Notion block

### Headers

- `Notion-Version` (string, required) — The [API version](/reference/versioning) to use for this request. The latest version is `<<latestNotionVersion>>`.

## Response

### 200

200

- `object` (string, optional)
- `id` (string, optional)
- `parent` (V1BlocksBlockIdDeleteResponsesContentApplicationJsonSchemaParent, optional)
- `created_time` (string, optional)
- `last_edited_time` (string, optional)
- `created_by` (V1BlocksBlockIdDeleteResponsesContentApplicationJsonSchemaCreatedBy, optional)
- `last_edited_by` (V1BlocksBlockIdDeleteResponsesContentApplicationJsonSchemaLastEditedBy, optional)
- `has_children` (boolean, optional, default: true)
- `archived` (boolean, optional, default: true)
- `type` (string, optional)
- `paragraph` (V1BlocksBlockIdDeleteResponsesContentApplicationJsonSchemaParagraph, optional)

## Errors

### 400 Bad Request Error

400

## Types

### V1BlocksBlockIdDeleteResponsesContentApplicationJsonSchemaParent

- `type` (string, optional)
- `page_id` (string, optional)

### V1BlocksBlockIdDeleteResponsesContentApplicationJsonSchemaCreatedBy

- `object` (string, optional)
- `id` (string, optional)

### V1BlocksBlockIdDeleteResponsesContentApplicationJsonSchemaLastEditedBy

- `object` (string, optional)
- `id` (string, optional)

### V1BlocksBlockIdDeleteResponsesContentApplicationJsonSchemaParagraph

- `rich_text` (list of any, optional)
- `color` (string, optional)

## Examples

**Response**

```json
{
  "Result": {
    "value": "{\n\t\"object\": \"block\",\n\t\"id\": \"7985540b-2e77-4ac6-8615-c3047e36f872\",\n\t\"parent\": {\n\t\t\"type\": \"page_id\",\n\t\t\"page_id\": \"59833787-2cf9-4fdf-8782-e53db20768a5\"\n\t},\n\t\"created_time\": \"2022-07-06T19:52:00.000Z\",\n\t\"last_edited_time\": \"2022-07-06T19:52:00.000Z\",\n\t\"created_by\": {\n\t\t\"object\": \"user\",\n\t\t\"id\": \"0c3e9826-b8f7-4f73-927d-2caaf86f1103\"\n\t},\n\t\"last_edited_by\": {\n\t\t\"object\": \"user\",\n\t\t\"id\": \"ee5f0f84-409a-440f-983a-a5315961c6e4\"\n\t},\n\t\"has_children\": false,\n\t\"archived\": true,\n\t\"type\": \"paragraph\",\n\t\"paragraph\": {\n\t\t\"rich_text\": [],\n\t\t\"color\": \"default\"\n\t}\n}"
  }
}
```

**SDK Code**

```javascript Notion SDK for JavaScript
const { Client } = require('@notionhq/client');

const notion = new Client({ auth: process.env.NOTION_API_KEY });

(async () => {
  const blockId = '7985540b-2e77-4ac6-8615-c3047e36f872';
  const response = await notion.blocks.delete({
    block_id: blockId,
  });
  console.log(response);
})();
```

```python
import requests

url = "https://api.notion.com/v1/blocks/block_id"

headers = {"Notion-Version": "Notion-Version"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.notion.com/v1/blocks/block_id"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("Notion-Version", "Notion-Version")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.notion.com/v1/blocks/block_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Notion-Version"] = 'Notion-Version'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.notion.com/v1/blocks/block_id")
  .header("Notion-Version", "Notion-Version")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.notion.com/v1/blocks/block_id', [
  'headers' => [
    'Notion-Version' => 'Notion-Version',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.notion.com/v1/blocks/block_id");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Notion-Version", "Notion-Version");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Notion-Version": "Notion-Version"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.notion.com/v1/blocks/block_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```